Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0011569
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 00. Application dictionaryminoralways2009-12-01 12:382010-01-21 00:00
ReporternetworkbView Statuspublic 
Assigned Tomtaal 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision23ef3fb955cc
ProjectionnoneETAnoneTarget Version2.50MP11
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version2.50MP8SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0011569: The dataset's SQL Where Clause doesn't work properly

DescriptionThe dataset's SQL Where Clause works properly in this case:

IE:
table: c_phase
ad_client_id='1000'

but in this case works wrong:

IE:
table: c_phase
c_phase.ad_client_id='1000'
Steps To Reproduce-As System administrator go to Application Dictionary || Module
-Set Core in development.
-Save and go to Application Dictionary || Dataset
-Create a new record (Module: Core; Data Access Level: Client/Organization)
-Save and go to Table.
-Create a enw record:
    -Table: C_Phase
    -SQL Where Clause: c_phase.ad_client_id='1000'
-Save and go back to Dataset
-Click 'Export reference data'
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0022297)
rafaroda (developer)
2009-12-01 12:57

I think that this is not an issue but the expected behaviour: have a look at http://wiki.openbravo.com/wiki/ERP/2.50/Developers_Guide/How_to_create_a_dataset#Examples [^]

Asier, any comment?
(0022301)
alostale (developer)
2009-12-01 13:06

Please note that this clause is not SQL but HQL
(0022324)
rafaroda (developer)
2009-12-01 16:53

Label should be changed to avoid confusions.
(0023112)
shuehner (administrator)
2009-12-28 14:28

Note the definition of this field i planned to change to be sql for the core module datasets and hql for the rest... but not fully decided yet.
(0023577)
hgbot (developer)
2010-01-19 19:00

Repository: erp/devel/pi
Changeset: 23ef3fb955ccc0ff095a3528c132ade219f1c37e
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Tue Jan 19 18:59:55 2010 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/23ef3fb955ccc0ff095a3528c132ade219f1c37e [^]

fixes issue 11569: The dataset's SQL Where Clause doesn't work properly

---
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
---
(0023679)
hudsonbot (developer)
2010-01-20 23:26

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/23ef3fb955cc [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/fa6621f85351 [^]
Tests: http://builds.openbravo.com/view/devel-int/ [^]
OBX: http://builds.openbravo.com/erp/obx/core/OpenbravoERP-2.50CI.15942.obx [^]

- Issue History
Date Modified Username Field Change
2009-12-01 12:38 networkb New Issue
2009-12-01 12:38 networkb Assigned To => rafaroda
2009-12-01 12:57 rafaroda Note Added: 0022297
2009-12-01 12:57 rafaroda Assigned To rafaroda => alostale
2009-12-01 13:06 alostale Note Added: 0022301
2009-12-01 13:06 alostale Status new => closed
2009-12-01 13:06 alostale Resolution open => no change required
2009-12-01 16:51 networkb Status closed => new
2009-12-01 16:51 networkb Resolution no change required => open
2009-12-01 16:53 rafaroda Note Added: 0022324
2009-12-01 16:53 rafaroda Assigned To alostale => mtaal
2009-12-01 16:53 rafaroda Priority immediate => high
2009-12-01 16:53 rafaroda Status new => scheduled
2009-12-28 14:28 shuehner Note Added: 0023112
2010-01-19 19:00 hgbot Checkin
2010-01-19 19:00 hgbot Note Added: 0023577
2010-01-19 19:00 hgbot Status scheduled => resolved
2010-01-19 19:00 hgbot Resolution open => fixed
2010-01-19 19:00 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/23ef3fb955ccc0ff095a3528c132ade219f1c37e [^]
2010-01-20 13:03 alostale Status resolved => closed
2010-01-20 23:26 hudsonbot Checkin
2010-01-20 23:26 hudsonbot Note Added: 0023679
2010-01-21 00:00 anonymous sf_bug_id 0 => 2935924


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker